org.apache.flume.conf

## Class BasicConfigurationConstants

- java.lang.Object
- - org.apache.flume.conf.BasicConfigurationConstants

-     public final class BasicConfigurationConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_CHANNEL`
    `static String` | `CONFIG_CHANNELS`
    `static String` | `CONFIG_CHANNELS_PREFIX`
    `static String` | `CONFIG_CONFIG`
    `static String` | `CONFIG_SINK_PROCESSOR_PREFIX`
    `static String` | `CONFIG_SINKGROUPS`
    `static String` | `CONFIG_SINKGROUPS_PREFIX`
    `static String` | `CONFIG_SINKS`
    `static String` | `CONFIG_SINKS_PREFIX`
    `static String` | `CONFIG_SOURCE_CHANNELSELECTOR_PREFIX`
    `static String` | `CONFIG_SOURCES`
    `static String` | `CONFIG_SOURCES_PREFIX`
    `static String` | `CONFIG_TYPE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_SOURCES

          public static final String CONFIG_SOURCES

      See Also:
        Constant Field Values

    - #### CONFIG_SOURCES_PREFIX

          public static final String CONFIG_SOURCES_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_SOURCE_CHANNELSELECTOR_PREFIX

          public static final String CONFIG_SOURCE_CHANNELSELECTOR_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_SINKS

          public static final String CONFIG_SINKS

      See Also:
        Constant Field Values

    - #### CONFIG_SINKS_PREFIX

          public static final String CONFIG_SINKS_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_SINK_PROCESSOR_PREFIX

          public static final String CONFIG_SINK_PROCESSOR_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_SINKGROUPS

          public static final String CONFIG_SINKGROUPS

      See Also:
        Constant Field Values

    - #### CONFIG_SINKGROUPS_PREFIX

          public static final String CONFIG_SINKGROUPS_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_CHANNEL

          public static final String CONFIG_CHANNEL

      See Also:
        Constant Field Values

    - #### CONFIG_CHANNELS

          public static final String CONFIG_CHANNELS

      See Also:
        Constant Field Values

    - #### CONFIG_CHANNELS_PREFIX

          public static final String CONFIG_CHANNELS_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_CONFIG

          public static final String CONFIG_CONFIG

      See Also:
        Constant Field Values

    - #### CONFIG_TYPE

          public static final String CONFIG_TYPE

      See Also:
        Constant Field Values

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.